Bug 607918 - make upstream suggested changes
make upstream suggested changes
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: mksh (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Michal Hlavinka
Michal Nowak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-25 04:01 EDT by Michal Hlavinka
Modified: 2013-03-07 21:10 EST (History)
3 users (show)

See Also:
Fixed In Version: mksh-39-4.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 16:10:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Hlavinka 2010-06-25 04:01:43 EDT
Description of problem:
Upstream reviewed our src rpm and recommended some tweaks for better user experience. Most important part of it is adding special .mkshrc file setting the environment correctly and adding a few bash functions (for example pushd, popd) for better interoperability
Comment 1 RHEL Product and Program Management 2010-06-25 04:02:52 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Michal Hlavinka 2010-06-25 11:30:31 EDT
added /etc/skel/.mkshrc supporting pushd/popd/... functions and setting the environment (for example PS1)
Comment 5 releng-rhel@redhat.com 2010-11-10 16:10:47 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.